#include "blended.h"

unsigned short find_blend(sgVec3 &blend, unsigned short blended_id, blended_t *blendeds, position_t *positions) {
  unsigned short bone_id = 0;
  float weight = -1.0f;

  blended_t &blended = blendeds[blended_id];
  memset(blend, 0, sizeof(sgVec3));

#ifdef NDEBUG
  unsigned short last_bone_id = positions[blended.positions[0]].bone_id;
#endif
  for (unsigned short i = 0; i < blended.num_positions; i++) {
    position_t &position = positions[blended.positions[i]];
    /*
    if (blended.weights[i] > weight) {
      bone_id = position.bone_id;
      weight = blended.weights[i];
    }
    */
    if (position.bone_id > 0) bone_id = position.bone_id;
#ifdef NDEBUG
    if (bone_id != last_bone_id) {
      //fprintf(stderr, "DEBUG: blend %u/%u has bone %u (not %u)\n", i, blended.num_positions, bone_id, last_bone_id);
    }
    last_bone_id = position.bone_id;
#endif
    for (unsigned short j = 0; j < 3; j++) {
      blend[j] += positions[blended.positions[i]].world[3][j] * blended.weights[i];
    }
  }

  return bone_id;
}

void cleanup_blended(unsigned short num_blended, blended_t *blended) {
  if (! num_blended || ! blended) return;
  for (unsigned short i = 0; i < num_blended; i++) {
    blended_t &blend = blended[i];
    if (blend.num_positions) {
      if (blend.positions) delete[] blend.positions;
      if (blend.weights) delete[] blend.weights;
    }
    blend.num_positions = 0; blend.positions = 0; blend.weights = 0;
  }
  delete[] blended;
}
