#ifndef BONE_H
#define BONE_H

#include <plib/sg.h>
#include <stdio.h>
#include "file.h"

typedef struct {
  unsigned short name_length;
  char *name;
  unsigned short parent;
  sgVec3 position;
  sgVec4 orientation;
  sgMat4 local; /* calculated */
  sgMat4 world; /* calculated */
  int animated;
  sgVec4 *orientations;
  sgMat4 *locals; /* calculated */
  sgMat4 *worlds; /* calculated */
} bone_t;

#define SWT_NUM_BONES 52
#define KID_NUM_BONES 40
#define TAC_NUM_BONES 37
#define BF1_NUM_BONES 34
#define GUN_NUM_BONES 2

void cleanup_bones(unsigned short, bone_t *, unsigned short);
int read_bones(FILE *, unsigned short, bone_t *);
int write_bones(FILE *, unsigned short, bone_t *);

/* Create default skeletons */
int make_swt_bone(bone_t &, unsigned short);
int make_kid_bone(bone_t &, unsigned short);
int make_tac_bone(bone_t &, unsigned short);
int make_bf1_bone(bone_t &, unsigned short);

#endif
