#ifndef GL_TEXTURE_H
#define GL_TEXTURE_H

#ifdef WIN32
#include <windows.h>
#endif
#include <SDL/SDL.h>
#include <plib/ul.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include "devil.h"
#include <stdio.h>
#include "file.h"
#include "texture.h"

typedef struct {
  int width;
  int height;
  unsigned char *data;
} texture_image_t;

typedef struct {
  GLuint num_textures;
  GLuint *textures;
  GLuint *ok;
} texture_data_t;

#if SDL_BYTEORDER == SDL_LIL_ENDIAN
#define FLIPPED_RGB 0x00FF0000
#else
#define FLIPPED_RGB 0x000000FF
#endif

int load_background(char *);
void cleanup_gl_textures(texture_data_t &);
int load_textures(unsigned short, texture_t *, texture_data_t &, char *);
void cleanup_gl_textures(texture_data_t &);

#endif
