#ifndef GRIPS_H
#define GRIPS_H

#define GRIPPER_COORDS_LENGTH 49
#define GRIPPER_NAME_LENGTH 6

/* SWT */
static unsigned char swt_gripper_coords[SWT_NUM_GRIPPERS][GRIPPER_COORDS_LENGTH] = {
  "\x90\x6d\x7c\x3f\x24\x1b\xcd\x3d\xd5\x26\x08\x3e\xa9\x95\x00\xbe\x98\x8c\x9d\xbd\x1d\x36\x7d\x3f\xc1\xd1\xdf\x3d\x52\xf3\x7d\xbf\xa3\x58\x81\xbd\xe3\xec\x1c\x40\x49\x02\x79\x3f\x36\x39\xd6\x3f"
 ,"\xdf\x97\x5b\x3f\xed\x09\xeb\x3e\x00\xd6\x6c\x3e\xf9\xb4\xe5\xbe\x7e\x61\x63\x3f\x3c\x94\xca\xbd\xbd\x6d\x80\xbe\x8d\xfe\x99\xbc\xa6\xc4\x77\x3f\x6a\xc5\x85\x40\xdd\xa6\xe8\x3f\x48\x7c\x40\xc0"
 ,"\xc8\xb0\x2c\xbf\xa1\x60\x9f\xbe\xc2\x5b\x2b\x3f\x67\x10\x3b\x3f\xf2\x63\x1c\xbe\x12\x56\x2a\x3f\x70\xd1\xd6\xbd\x6e\x1e\x70\x3f\x3f\x35\xa9\x3e\xe7\x94\xb1\x40\xb1\x45\x20\x41\xa2\x10\x11\x40"
};
static unsigned short swt_gripper_bone_id[SWT_NUM_GRIPPERS] = { 28, 9, 1 };
static unsigned char swt_gripper_name[SWT_NUM_GRIPPERS][GRIPPER_NAME_LENGTH] = {
  "Grip1", "Grip2", "Grip3"
};

/* TAC, BG1, BG2, BG3, MH1, MH2 */
static unsigned char tac_gripper_coords[TAC_NUM_GRIPPERS][GRIPPER_COORDS_LENGTH] = {
  "\x42\xeb\x7c\x3f\x94\xc6\x0d\x3e\xe1\x35\x8d\x3d\x15\xbe\x92\xbd\xc3\x51\x8c\x3c\xc6\x4d\x7f\x3f\x7d\x31\x2f\x3e\x4b\x19\x7c\xbf\xa2\x64\x00\x3d\xdf\xac\x2c\x40\x9b\xf6\x17\x3f\x7a\x02\x98\x3f"
 ,"\xce\x59\x76\x3f\xcd\x49\x5d\x3e\x73\x1b\x29\x3e\x2e\xec\x55\xbe\x5c\xe1\x79\x3f\x04\x20\x75\xbd\xc6\x4e\x32\xbe\x38\x23\xbe\x3c\x0f\x05\x7c\x3f\x08\xaa\x8c\x40\x47\xd1\x60\x3f\xd4\x30\x3e\xc0"
 ,"\xc4\xaf\x1d\x3f\x4f\x28\xe4\xbe\x36\x4a\x26\x3f\x88\x18\x07\x3f\xc5\xf8\xc1\xbe\x06\xa3\x42\xbf\xb3\xbb\x15\x3f\xb2\xa4\x4f\x3f\x15\x6d\xf9\x3a\x5d\xb5\xbd\xc1\x53\x9e\x48\x41\x47\xc9\x45\x41"
};
static unsigned short tac_gripper_bone_id[TAC_NUM_GRIPPERS] = { 22, 12, 1 };
static unsigned char tac_gripper_name[TAC_NUM_GRIPPERS][GRIPPER_NAME_LENGTH] = {
  "Grip1", "Grip2", "Grip3"
};

/* BF1, FH1, FH2 */
static unsigned char bf1_gripper_coords[BF1_NUM_GRIPPERS][GRIPPER_COORDS_LENGTH] = {
  "\xfd\x4f\x52\xbf\xd7\x5d\x11\x3f\xab\x62\x52\xbd\x97\x5a\x6f\xbd\x20\x69\xfb\x3b\x1f\x8e\x7f\x3f\xdf\x12\x11\x3f\xc1\x7e\x52\x3f\x2f\xcc\x57\x3d\x1f\x6e\x44\xc2\x28\x9b\x90\x41\x6d\xa7\xd1\xbf"
 ,"\x12\xa8\xf8\x3e\x4c\x5d\x4f\xbf\x47\x3b\xa8\xbe\x45\x45\x51\xbf\xb2\xd4\x0d\xbf\xff\x55\x21\x3e\x17\x8c\x9e\xbe\x32\xc6\x44\x3e\xf2\x65\x6e\xbf\x2b\x88\x40\xc2\x34\x5f\x8f\x41\xa0\xaf\x98\x40"
 ,"\x6d\x10\x2f\xbf\x32\x42\x7e\xbe\xdb\xa2\x2f\xbf\xca\xc7\x3a\x3f\x30\xef\x74\xbe\xbd\x02\x24\xbf\xbd\xc3\xa4\xbb\xcf\x4d\x70\xbf\xee\x80\xb0\x3e\x77\x74\xae\x40\x29\xf4\xea\x40\xdb\xb1\x10\x40"
};
static unsigned short bf1_gripper_bone_id[BF1_NUM_GRIPPERS] = { 19, 9, 1 };
static unsigned char bf1_gripper_name[BF1_NUM_GRIPPERS][GRIPPER_NAME_LENGTH] = {
  "Grip1", "Grip2", "Grip3"
};

/* weapons */
static unsigned char gun_grip_name[GUN_NUM_GRIPS][GRIPPER_NAME_LENGTH] = {
  "Grip1", "Grip3"
};

#endif
