#ifndef GSA_H
#define GSA_H

#include <plib/sg.h>
#include "gsm.h"

#define GSA_MAGIC "\xcf\xd0\x09\xa8\x2a\x1f\xd2\x11\x87\x49\x00\x20\xaf\xe6\x36\xee"

typedef struct {
  unsigned short name_length;
  char *name;
} event_t;

typedef struct {
  sgVec3 position;
  sgVec4 orientation;
  sgVec3 root_position;
  unsigned short num_events;
  event_t *events;
} frame_t;

typedef struct {
  unsigned short version;
  unsigned short name_length;
  char *name;
  unsigned short num_bones;
  bone_t *bones;
  unsigned short num_animated;
  unsigned short *animated;
  unsigned short num_frames;
  frame_t *frames;
} gsa_t;

int read_gsa(gsa_t &, gsm_t &, char *);
void create_fake_animation(gsm_t &, gsa_t &);
void cleanup_events(unsigned short, event_t *);
void cleanup_frames(unsigned short, frame_t *);
void cleanup_gsa(gsa_t *);

#endif
