#ifndef MAIN_H
#define MAIN_H

#include <SDL/SDL.h>
#include <SDL/SDL_main.h>
#ifdef WIN32
#include <windows.h>
#else
#endif
#include <GL/gl.h>
#include <GL/glu.h>
#include <plib/pu.h>
#include <plib/sg.h>
#include "video.h"
#include "gsm.h"
#include "gsa.h"
#include "gui.h"

int width = 640, height = 480;
GLfloat xpos = 0.0f;
GLfloat ypos = 0.0f;
GLfloat zpos = -5.0f;
GLfloat xrot = 0.0f;
GLfloat yrot = 0.0f;
GLfloat zrot = 0.0f;
sgVec4 rotquat;
SGfloat rotangle;
sgVec3 rotaxis;
GLuint background_texture;
char *cwd;
std::string meshdir, animdir, texturedir, bgdir, screendir;
unsigned long meshindex, animindex, textureindex, bgindex, screenindex;
int frame = 0;
int loading = LOADING_NOTHING;
int visible = 1;
int show_bones = 0;
int show_mesh = 1;
int show_background = 0;
int show_normals = 0;
int show_hit_detect = 0;
int reverse_normals = 0;
int textures_enabled = 1;
int joystick_enabled = 1;
int material_hack = textures_enabled;
int paused = 1;
GLint wireframe = GL_TRIANGLES;
int antialiasing = 0;
int culling = 1;
int axishack = 0; /* no middle button? use a key */
int exitasap;
SDL_SysWMinfo wm;

gsm_t *character, *weapon;
gsa_t *character_animation, *weapon_animation;

void process_args(int, char **);
int handle_event(SDL_Event *event);
int handle_key_press(SDL_KeyboardEvent *key);
int handle_key_release(SDL_KeyboardEvent *key);
Uint32 advance_frame(Uint32);

#endif
