#ifndef VIDEO_H
#define VIDEO_H

#include <SDL/SDL.h>
#include <SDL/SDL_version.h>
#include <SDL/SDL_syswm.h>
#ifdef WIN32
#include <windows.h>
#endif
#include <GL/gl.h>
#include <plib/sg.h>
#include <math.h>
#include "gsm.h"
#include "gsa.h"

#define DEADZONE 5000.0f
#define JOYSTICKSPEED 16384.0f
#define MOUSEROTSPEED 256.0f
#define MOUSEPOSSPEED 32.0f
#define KEYBOARDSPEED 4.0f

static sgVec4 whitelight = { 1.0f, 1.0f, 1.0f, 1.0f };

int setup_opengl(int, int);
SDL_Surface *resize_window(int, int);
void draw_origin();
void draw_background();
void draw_scene();
void poll_keys();
void poll_joysticks();
void poll_mouse(Uint8, Sint16, Sint16);
#if 0
void handle_button_press(Uint8, Uint16, Uint16);
void handle_button_release(Uint8, Uint16, Uint16);
#endif
void draw_gsm(gsm_t &, gsa_t &);
void rotate_positions(gsm_t &, gsa_t &);
void rotate_grippers(unsigned short, gripper_t *, gsa_t &, bool);
static void draw_grip_shape(gripper_t &);
static void draw_throwable_shape(gripper_t &);
void draw_gripper(gripper_t &);
void draw_grippers(gsm_t &, gsa_t &);
void hit_detect_colour(unsigned short);

#endif
